Bug 1024863 - Refreshing Content View causes massive error
Refreshing Content View causes massive error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: David Davis
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 10:15 EDT by Mike McCune
Modified: 2014-04-24 13:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:08:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stacktrace in the UI (182.90 KB, image/png)
2013-10-30 11:48 EDT, Og Maciel
no flags Details

  None (edit)
Description Mike McCune 2013-10-30 10:15:47 EDT
1) Create a content view, can be a smaller repo

2) Publish it

3) refresh it

Notice error:

Failed to generate content view 'simple-pub' version 2.
{"created_at"=>nil, "finish_time"=>Wed, 30 Oct 2013 14:08:36 UTC +00:00, "id"=>nil, "organization_id"=>nil, "parameters"=>{}, "progress"=>{"task_group_id"=>nil, "exception"=>["PulpExecutionException: Pulp exception occurred: PulpExecutionException\n"], "traceback"=>[" File \"/usr/lib/python2.6/site-packages/pulp/server/dispatch/task.py\", line 138, in _run\n result = call(*args, **kwargs)\n", " File \"/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py\", line 97, in publish\n result = self._do_publish(repo, distributor_id, distributor_instance, transfer_repo, conduit, call_config)\n", " File \"/usr/lib/python2.6/site-packages/pulp/server/managers/repo/publish.py\", line 121, in _do_publish\n publish_report = distributor_instance.publish_repo(transfer_repo, conduit, call_config)\n", " File \"/usr/lib/pulp/plugins/distributors/yum_distributor/distributor.py\", line 328, in publish_repo\n ...
Comment 1 Mike McCune 2013-10-30 10:23:43 EDT
<jsherrill> it looked like a pulp error
<jsherrill> if you look in the pulp.log
<jsherrill> we had pulp fix some bugs related to the ./Packages directory
<jsherrill> my guess is it introduced this
Comment 2 Mike McCune 2013-10-30 10:28:02 EDT
# rpm -q katello pulp-server
katello-1.4.6-49.el6sat.noarch
pulp-server-2.3.0-0.24.beta.el6sat.noarch
Comment 3 RHEL Product and Program Management 2013-10-30 10:38:21 EDT
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 5 Og Maciel 2013-10-30 11:48:42 EDT
Created attachment 817493 [details]
Stacktrace in the UI

Refreshed a CVD containing only Puppet and all was well. Tried to refresh another CVD containing YUM content and it failed with this stacktrace.
Comment 6 David Davis 2013-10-30 12:15:27 EDT
I've tried on the latest snap and haven't been able to reproduce. 

# rpm -q katello pulp-server
katello-1.4.6-49.el6sat.noarch
pulp-server-2.3.0-0.24.beta.el6sat.noarch

pulp log shows success. Here's the tail:

2013-10-30 12:11:27,551 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: existing metadata found; taking backup.
2013-10-30 12:11:27,590 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata processing 32 units of type rpm, 0 total units have already been processed
2013-10-30 12:11:27,591 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Performing per unit metadata merge on 32 units
2013-10-30 12:11:27,598 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: per unit metadata merge completed in 0.00659203529358 seconds
2013-10-30 12:11:27,611 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: generate_yum_metadata finished processing 32 units
2013-10-30 12:11:28,629 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Modifying repo for comps metadata
2013-10-30 12:11:28,785 pulp.server.dispatch.task:INFO: SUCCESS: Task 6ddb75b9-7cf8-4180-877f-0e2d0eb101cb: CallRequest: ApplicabilityRegenerationManager.regenerate_applicability_for_repos({'sort': None, 'skip': None, 'limit': None, 'filters': {'id': {'$in': ['ACME_Corporation-Library-zoo-zoo-zoo']}}, 'fields': ['id'], '_id': ObjectId('52712fb05922cc293500020a'), 'id': '52712fb05922cc293500020a'})
2013-10-30 12:11:28,972 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: modifyrepo with /var/lib/pulp/working/repos/ACME_Corporation-Library-zoo-zoo-zoo/distributors/yum_distributor/group.xml on /var/lib/pulp/working/repos/ACME_Corporation-Library-zoo-zoo-zoo/distributors/yum_distributor/repodata finished
2013-10-30 12:11:28,972 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Modifying repo for updateinfo metadata
2013-10-30 12:11:29,334 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: modifyrepo with /var/lib/pulp/working/repos/ACME_Corporation-Library-zoo-zoo-zoo/distributors/yum_distributor/updateinfo.xml on /var/lib/pulp/working/repos/ACME_Corporation-Library-zoo-zoo-zoo/distributors/yum_distributor/repodata finished
2013-10-30 12:11:29,335 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: check scratchpad for any repodata
2013-10-30 12:11:29,335 pulp.plugins.pulp_rpm.yum_plugin.metadata:INFO: Metadata generation finished in 1.78477501869 seconds
2013-10-30 12:11:29,349 pulp.plugins.yum_distributor.distributor:INFO: HTTPS Publishing repo <ACME_Corporation-Library-zoo-zoo-zoo> to </var/lib/pulp/published/https/repos/ACME_Corporation/Library/zoo/custom/zoo/zoo>
2013-10-30 12:11:29,369 pulp.plugins.yum_distributor.distributor:INFO: Publish complete:  summary = <{'num_package_units_errors': 0, 'https_publish_dir': u'/var/lib/pulp/published/https/repos/ACME_Corporation/Library/zoo/custom/zoo/zoo', 'num_package_categories_published': 0, 'num_distribution_units_errors': 0, 'skip_metadata_update': False, 'num_distribution_units_published': 0, 'num_package_groups_published': 2, 'num_package_units_attempted': 32, 'num_package_units_published': 32, 'num_distribution_units_attempted': 0, 'relative_path': u'ACME_Corporation/Library/zoo/custom/zoo/zoo'}>, details = <{'errors': [], 'time_metadata_sec': 1.7905910015106201}>
2013-10-30 12:11:29,385 pulp.server.dispatch.task:INFO: SUCCESS: Task 21edbda4-f89a-4169-9069-da7678c0d2df: CallRequest: RepoPublishManager.publish(u'ACME_Corporation-Library-zoo-zoo-zoo', 'ACME_Corporation-Library-zoo-zoo-zoo', publish_config_override=None)
2013-10-30 12:11:29,992 pulp.server.dispatch.task:INFO: SUCCESS: Task 2fa363f2-42e4-4955-9651-b73d2d5f82f2: CallRequest: RepoPublishManager.publish(u'ACME_Corporation-Library-zoo-zoo-zoo', 'ACME_Corporation-Library-zoo-zoo-zoo_nodes', publish_config_override=None)
Comment 7 Mike McCune 2013-11-01 13:03:47 EDT
re-tested this in SNAP8 and it works fine now, moving ON_QA

this was fixed in Pulp bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1021672
Comment 8 Og Maciel 2013-11-03 15:02:17 EST
Verified:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-25.el6sat.noarch
* foreman-compute-1.3.0-25.el6sat.noarch
* foreman-libvirt-1.3.0-25.el6sat.noarch
* foreman-postgresql-1.3.0-25.el6sat.noarch
* foreman-proxy-1.3.0-3.el6sat.noarch
* katello-1.4.6-55.el6sat.noarch
* katello-all-1.4.6-55.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-28.el6sat.noarch
* katello-cli-common-1.4.3-28.el6sat.noarch
* katello-common-1.4.6-55.el6sat.noarch
* katello-configure-1.4.7-7.el6sat.noarch
* katello-configure-foreman-1.4.7-7.el6sat.noarch
* katello-foreman-all-1.4.6-55.el6sat.noarch
* katello-glue-candlepin-1.4.6-55.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-55.el6sat.noarch
* katello-glue-pulp-1.4.6-55.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.26.beta.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.26.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.26.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.26.beta.el6sat.noarch
* pulp-selinux-2.3.0-0.26.beta.el6sat.noarch
* pulp-server-2.3.0-0.26.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.23-2.el6sat.noarch
* signo-katello-0.0.23-2.el6sat.noarch
Comment 9 Bryan Kearney 2014-04-24 13:08:28 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.